Skip to main content
GET
/
v1.0
/
appts
List Appointments
curl --request GET \
  --url https://api.lofty.com/v1.0/appts \
  --header 'Authorization: <authorization>'
[
  {
    "id": 123,
    "descr": "<string>",
    "address": "<string>",
    "createTime": "2023-11-07T05:31:56Z",
    "lastUpdate": "2023-11-07T05:31:56Z",
    "deadline": 123,
    "endTime": 123,
    "allDay": true,
    "finishFlag": true,
    "deleteFlag": true,
    "overdue": true,
    "finishTime": 123,
    "leadId": 123,
    "assignToUid": 123,
    "assignRoleType": 123,
    "creatorId": 123
  }
]

Documentation Index

Fetch the complete documentation index at: https://developer.lofty.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Authorization
string
required

Bearer [access_token]

Query Parameters

leadId
integer<int64>
required

ID of the lead whose appointments to return.

Required range: x >= 1

Response

Appointments for the lead.

id
integer<int64>

The Id of the appointment

descr
string

The description of the appointment

address
string

The location of the appointment

createTime
string<date-time>

The create time of the appointment

lastUpdate
string<date-time>

The last update time of the appointment

deadline
integer<int64>

The start time of the appointment

endTime
integer<int64>

The end time of the appointment

allDay
boolean

Whether the appointment time is all day

finishFlag
boolean

If the appointment is finished or not

deleteFlag
boolean

If the appointment is deleted or not

overdue
boolean

If the appointment is overdue or not

finishTime
integer<int64>

The finish time of the task

leadId
integer<int64>

The lead(Id) associated with the appointment

assignToUid
integer<int64>

The user's Id of the appointment assigned to

assignRoleType
integer<int32>

The user role of the appointment assigned to

creatorId
integer<int64>

The user ID of this appointment creator